{%- set videoThumbnail = '' -%}
{%- set videoTypeFrom = '' -%}
{%- set videoID = '' -%}
{%- set videoSource = '' -%}
{%- set videoDomain = '' -%}
{%- set videoOuter = false -%}

{%- if post.strimi_metadata is defined -%}
    {%- if post.strimi_metadata.thumb|length > 0 -%}
        {%- set videoThumbnail = post.strimi_metadata.thumb -%}
    {%- endif -%}
    {%- if post.strimi_metadata.type is defined -%}
        {%- set videoTypeFrom = post.strimi_metadata.type.type_from -%}
    {%- endif -%}
    {%- if post.strimi_metadata.video is defined -%}
        {%- set videoID = post.strimi_metadata.video -%}
    {%- endif -%}
    {%- if post.strimi_metadata.source is defined -%}
        {%- set videoSource = post.strimi_metadata.source -%}
    {%- endif -%}
    {%- if post.strimi_metadata.domain is defined -%}
        {%- set videoDomain = post.strimi_metadata.domain -%}
    {%- endif -%}

{%- elseif outerVideoDomain is defined and outerVideoThumbnail is defined -%}
    {%- set videoOuter = true -%}
    {%- set videoDomain = outerVideoDomain -%}
    {%- set videoThumbnail = outerVideoThumbnail -%}
    {%- set videoID = outerVideoID -%}
    {%- set videoTypeFrom = outerVideoTypeFrom -%}
    {%- set videoSource = outerVideoSource -%}
{%- endif -%}

<div class="video-content {% if videoOuter == true %}video-outer{% endif %} video-play" data-type="{{- videoTypeFrom -}}" data-hash="{{- videoID -}}">
    <div class="video-content-thumbnail lazy" data-src="{{- steemit.image_host ~ '256x512/' ~ videoThumbnail -}}">
        <div class="play-icon">
            <i class="icon-control-play"></i>
        </div>
    </div>
    <div class="video-embed"></div>
    <div class="video-content-type-meta">
        <ul>
            <li>
                <span class="source" data-lang="{{- 'global.post.images.source' -}}">
                    {{- 'global.post.images.source'|trans -}}
                </span>
                <a href="{{- videoSource -}}" target="_blank" rel="nofollow">
                    {{- videoDomain -}}
                </a>
            </li>
        </ul>
    </div>
</div>